Subject: When updating an extension, archive the old version
Description

Currently when updating an extension, the extension is overwritten.

Now it would be nice to have the old extension archived into a different directory (f.e. typo3conf/ext_archive)

Advantages:

    -  making it possible to easily jump back to the old version if something is  not working anymore
    -  easily jump back if the admin didn't notice that the extension was changed and now stuff is not working anymore
    -  in an update script it would be possible to determine which version of an extension was installed before and which actions need to
be executed to update data and the like with minimal effort

(issue imported from #M11402)

Related issues:
related to Core - Bug # 28358: New update function does not warn prominently ... Closed 2011-07-21

History
#1 - 2009-06-24 18:36 - Steffen Kamper

is this needed? You can switch back to any version if something goes wrong

#2 - 2009-06-25 11:24 - Ingo Renner

see my points, those are not the regular "go back to a previous version" scenarios ;)

#3 - 2011-07-21 08:56 - Björn Pedersen
- Target version deleted (0)

A backup option is warranted if there are local changes in an extension.

#4 - 2011-09-24 15:39 - Helmut Hummel
- Priority changed from Should have to Could have

#5 - 2014-12-18 13:08 - Mathias Schreiber
- Status changed from New to Needs Feedback
Hey Ingo, would you still consider this today?

Otherwise I'd close down the issue

#6 - 2014-12-18 18:37 - Ingo Renner

I'd argue that people should use proper versioning tools, but OTOH there might still be scenarios were it might be helpful to allow a quick rewind.

Apart from that, the last point is still valid, knowing what version was the last would allow better automated upgrade scripts.

#7 - 2014-12-19 09:02 - Alexander Opitz
- Status changed from Needs Feedback to New

#8 - 2015-01-09 06:17 - Mathias Schreiber
- Status changed from New to Closed

Taken into account in #63909.
The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.
